libsigc++ 2.4.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | List of all members
sigc::adaptor_trait< T_functor, false > Struct Template Reference

Trait that specifies what is the adaptor version of a functor type. More...

`#include <sigc++/adaptors/adaptor_trait.h>`

## Public Types
typedef adaptor_functor< functor_type > | adaptor_type
typedef functor_trait< T_functor >::functor_type | functor_type
typedef functor_trait< T_functor >::result_type | result_type

## Detailed Description

### template<class T_functor>
struct sigc::adaptor_trait< T_functor, false >

Trait that specifies what is the adaptor version of a functor type.

This template specialization is used for arbitrary functors, for function pointers and for class methods are provided. The latter are converted into `pointer_functor` or `mem_functor` types. adaptor_type is equal to `adaptor_functor<functor_type>`.

## Member Typedef Documentation

template <class T_functor >

typedef adaptor_functor<functor_type> sigc::adaptor_trait< T_functor, false >::adaptor_type

template <class T_functor >

typedef functor_trait<T_functor>::functor_type sigc::adaptor_trait< T_functor, false >::functor_type

template <class T_functor >

typedef functor_trait<T_functor>::result_type sigc::adaptor_trait< T_functor, false >::result_type